Package org.astrogrid.samp.test

# Class Snooper

java.lang.Object
org.astrogrid.samp.test.Snooper

public class Snooper extends Object
Subscribes to SAMP messages and logs any received to an output stream. The only responses to messages have samp.status=samp.warning.

Since:
  4 Sep 2008
Author:
  Mark Taylor

## Constructor Summary

Constructors
Constructor
Description
`Snooper(ClientProfile profile, Subscriptions subs, OutputStream out, int autoSec)`
Constructor using default metadata.
`Snooper(ClientProfile profile, Subscriptions subs, Metadata meta, OutputStream out, int autoSec)`
Constructor using custom metadata.

## Method Summary

Modifier and Type
Method
Description
`static Metadata`
`createDefaultMetadata()`
Returns the default metadata for the Snooper client.
`static void`
`main(String[] args)`
Main method.
`static int`
`runMain(String[] args)`
Does the work for the main method.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Snooper

public Snooper(ClientProfile profile, Subscriptions subs, OutputStream out, int autoSec)
Constructor using default metadata.

Parameters:
  `profile` - profile
  `subs` - subscriptions defining which messages are received and logged
  `out` - destination stream for logging info
  `autoSec` - number of seconds between auto connection attempts

### Snooper

public Snooper(ClientProfile profile, Subscriptions subs, Metadata meta, OutputStream out, int autoSec)
Constructor using custom metadata.

Parameters:
  `profile` - profile
  `subs` - subscriptions defining which messages are received and logged
  `meta` - client metadata
  `out` - destination stream for logging info
  `autoSec` - number of seconds between auto connection attempts

## Method Details

### createDefaultMetadata

public static Metadata createDefaultMetadata()
Returns the default metadata for the Snooper client.

Returns:
  meta

### main

public static void main(String[] args) throws IOException
Main method. Runs a snooper.

Throws:
  `IOException`

### runMain

public static int runMain(String[] args) throws IOException
Does the work for the main method. Use -help flag.

Throws:
  `IOException`